Package com.sas.lsaf.content.repository

## Class RepositoryItemException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sas.lsaf.core.AbstractCheckedException
      - - com.sas.lsaf.content.repository.RepositoryException
        - - com.sas.lsaf.content.repository.RepositoryItemException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `RepositoryItemCheckinException`, `RepositoryItemCheckoutException`, `RepositoryItemCopyException`, `RepositoryItemDeleteException`, `RepositoryItemExistsException`, `RepositoryItemLockException`, `RepositoryItemMoveException`, `RepositoryItemNotFoundException`, `RepositoryItemRenameException`, `RepositoryItemUndoCheckoutException`, `RepositoryItemUnlockException`, `RepositoryItemUpdateException`, `RepositoryItemVersioningException`

      public abstract class RepositoryItemException
      extends RepositoryException

  The root of the hierarchy of all checked repository item exceptions. Thrown when manipulating or accessing individual repository items.

  Abstract because this exception should not be constructed directly. Rather, a more detailed subclass should be constructed and thrown.

  Since:
    1.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositoryItemException​(java.lang.String path, java.lang.String message)` | Constructs a `RepositoryItemException` with the specified path and message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getPath()` | Gets the path in the repository that raised the exception.

    - ### Methods inherited from class com.sas.lsaf.core.AbstractCheckedException

      `getMessage, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryItemException

          public RepositoryItemException​(java.lang.String path,
                                         java.lang.String message)

      Constructs a `RepositoryItemException` with the specified path and message.
      Parameters:
        `path` - The path to the repository item.
        `message` - The detail message (which is saved for later retrieval by `AbstractCheckedException.getMessage()`).

  - ### Method Detail

    - #### getPath

          public java.lang.String getPath()

      Gets the path in the repository that raised the exception.
      Returns:
        The path in the repository that raised the exception.